/**
 * @class
 * @author      Lee Driscoll
 * @docauthor   Lee Driscoll
 *
 * Date         18/03/14
 *
 * Enter description of class here using markdown
 */
var timePickerDialog = $.getView();

function showForTextField(textField, opts){

	opts = opts || {};

	opts.callback = function(e) {
		if(!e.cancel) {
			var timeValue = e.value;
			textField.value = timeValue.getHours() + ':' + timeValue.getMinutes();
			textField.blur();
		}
	};

	timePickerDialog.show(opts);
}

exports.showForTextField = showForTextField;